Subject: Re: String class and gdb
From: [email-masked] (Mumit Khan)

19 Oct 1998 09:36:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: "GNU Mailing list" <[email-masked]>

"Derek Tyler" <[email-masked]> writes:
> I've just started trying to use the
> String class. The following code works
> OK, but when I put a breakpoint as
> shown, and try to examine variables
> with
> gdb, I get 
> 
> (gdb) p s
> $1 = <incomplete type> 
>     

That's because libg++ was stripped of all symbols. You simply can't "look"
into String implementation any more. Sorry.

I do suggest that you dump String and use the standard "string" from now
on. String is part of deprecated libg++, which you should avoid at all
costs in new code.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".